<%@ page language="VB" autoeventwireup="false" inherits="WebExam.Web.testeditor_editreadtest, App_Web_w5uoad04" %>

<%@ Register Src="../modul/WebMsg.ascx" TagName="WebMsg" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>编辑试题</title>

    <script src="../paperStyle/3.1/key.js" type="text/javascript"></script>

    <link href="../../style/main.css" type="text/css" rel="stylesheet" />
</head>
<body onload="return window_onload()">

    <script type="text/javascript">


        function submitInfo(plain, tests) {

            var test = tests[0].content;
            if (test == "") { alert("题目内容必须输入！"); return false; };


            var ps = _para[0];

            ps.saveReadTest(plain, test);

            //return true;
        }
        /*
        function setKey(scoreArr,keyArr){
        var SB1=getSYBox();var SB2=getScoreBBox();var SB3=getScoreCBox();var SB4=getScoreDBox();
        SB1.value=0;SB2.value=0;SB3.value=0;SB4.value=0;
        var KB1=getKBox1();var KB2=getKBox2();var KB3=getKBox3();var KB4=getKBox4();
        KB1.value="";KB2.value="";KB3.value="";KB4.value="";
        for(var i=0;i<keyArr.length;i++){
        switch(i){
        case 0:
        KB1.value=keyArr[i];SB1.value=scoreArr[i];
        break;
        case 1:
        KB2.value=keyArr[i];SB2.value=scoreArr[i];
        break;
        case 2:
        KB3.value=keyArr[i];SB3.value=scoreArr[i];
        break; 
        case 3:
        KB4.value=keyArr[i];SB4.value=scoreArr[i];
        break;
               
        }
         
        }
         
        }
        */
        var tests; var _para;
        function window_onload() {
            if ((_para == null) && (window.dialogArguments != null)) {
                if (window.dialogArguments.length > 0) { _para = window.dialogArguments; }

            }

            tests = null; if (_para == null) return;
            var para = _para;
            if (para.length > 1) {
                var level = para[1];
                var kpIdStr = para[2];
                tests = para[3];
                var keyArr = para[4];
                var fullScore = para[5];



            }

        }

        function initData(tests) {
            editorFrame.init(tests);


        }
    </script>

    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <uc1:WebMsg ID="WebMsg1" runat="server" />
    <div>
        <iframe frameborder="0" id="editorFrame" name="mytext" marginwidth="0"
            marginheight="0" src="../../../richedit/_samples/html/richedit.htm?testclass=i"
            frameborder="no" width="770" height="480"></iframe>
        <div>
            <input type="button" value="保存" class="bigButton" onclick="return editorFrame.getTest();" />
        </div>
    </div>
    </form>
</body>
</html>
